Ruby is a dynamic, open source programming language with a focus on simplicity and productivity.

learn more… | top users | synonyms

2
votes
2answers
952 views

Building Vim with rbenv and Command-T on OSX

dyld: lazy symbol binding failed: Symbol not found: _rb_encdb_declare Referenced from: /Users/sa125/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin10.8.0/enc/encdb.bundle Expected in: flat ...
2
votes
1answer
275 views

Gem Binaries not found with oh-my-zsh

I'm using Oh-My-Zsh on Mountain Lion and have an issue with gem binaries not loading properly. For instance: If I load a new shell the binary still cannot be found. When using Bundler, I can load ...
4
votes
1answer
2k views

How to rebuild all my Ruby gems?

I ran into an apparently known issue with the native C compiler on OS X 10.8 not building Ruby gems correctly, so I installed GCC as suggested. How do I have rvm rebuild all of the already-installed ...
2
votes
1answer
2k views

curl: (7) couldn't connect to host

I know some people have asked this question before but I don't understand some of the answers. I'm a Mac user trying to instal Homebrew but I keep getting this error message: curl: (7) couldn't ...
3
votes
1answer
976 views

java wont run under chroot cause it can not find shared libraries

i have openjdk and jRuby installed and running properly. however when i run exactly same environment under chroot, i get: error while loading shared libraries: libjli.so: cannot open shared object ...
2
votes
1answer
180 views

Installing Ruby 1.9.3 OSX 10.7.4 breaks after altering PATH

I was having trouble installing ruby 1.9.3-p194 from ruby 1.8.7 on my mac osx 10.7.4. I have was trying to fix my homebrew after running "brew doctor" and got the message of "/usr/bin occurs before ...
0
votes
1answer
2k views

Unable to find a Ruby executable

I am new to, this install Aptana Studio 3 to program in "Ruby" but the Run Time I get this error "Unable to find a Ruby executable." Here a Picture Sorry For My English
2
votes
1answer
625 views

(-bash: initdb: command not found) When installing postgres mac

I get the following error (-bash: initdb: command not found) in the terminal when trying to install postgres on my mountain lion mac osx? Also, does any one have a good resource for installing ...
2
votes
1answer
1k views

How do I uninstall a ruby version installed via source?

I installed a version (1.9.3-p194) of ruby via source using make install and realized this may have been the wrong route to take. Upon doing this, I realized this was a mistake and I should be using a ...
2
votes
0answers
166 views

Why does RVM Ruby require libksba?

The rvm requirements says I should install "libksba" before installing Ruby 1.9.3. Why? How can I tell if I already have "libksba" installed? I'm running Mountain Lion 10.8.2 and Xcode 4.5 ...
14
votes
2answers
678 views

Sending mail from the command line

Ok, I've looked far and wide for something to take care of this little email project I have. First, some background: My family has a secret santa every year and I've offered to write a script to ...
1
vote
3answers
2k views

How install gem rails for all users in arch-linux

When install rails with sudo gem install rails or with root user, this install in $HOME/.gem and only works for actual user, how install for all users in the system ?
2
votes
0answers
55 views

Can I use e text editor with an existing ruby installation?

I'm using windows and e text editor. I installed cygwin along with the e text editor as it prompted me too, but running ruby programs produces no errors and no output. I'd like to use an existing ruby ...
3
votes
2answers
749 views

Is there a way to “Execute and update '# => ' markers” in Sublime Text 2?

This is my most favourite feature from ruby bundle in TextMate. Unfortunately, I can't find how to do the same in ST2. It still inserts the marker when you press TAB after the # symbol, so, I hope, ...
1
vote
2answers
677 views

First requests are painfully slow

I am running Redmine under IIS using Zoo. Installation was done using the Web Platform Installer and the default configuration has not been touched. However, when using the application, the first ...
1
vote
2answers
313 views

Edit the command line path for an executable on OSX [duplicate]

Possible Duplicate: What are PATH and other environment variables, and how can I set or use them? I have the default package of Ruby installed that shipped with the OS, which is an older ...
0
votes
0answers
308 views

Bad CPU type in executable while typing tar command

recently i have upgraded to mountain lion and there is problem with my tar command, i am not able to unpack my tar files from terminal. when i type tar command in terminal i am geting bash: ...
0
votes
3answers
2k views

Running python / ruby interactively from within Notepad++ (NppExec console)

I've been using the NppExec console in Notepad to run python and ruby scripts using python script_name.py or ruby script_name.rb, and for the most part this works well: the output gets redirected into ...
2
votes
4answers
4k views

how do i run a script 5mn after startup?

I have severals RoR websites running on my webserver and I need to run a ruby script at startup. So, I puted a bash script in /etc/init.d witch call a ruby process. Unfortunatly that ruby process ...
1
vote
2answers
239 views

Combined sudo su deploy command doesn't work, does when separate

I have this command: ubuntu@ip-10:~$ sudo su deploy -c 'rvm install 1.9.3' bash: rvm: command not found I also tried: ubuntu@ip-10:~$ sudo su deploy -c 'source /home/deploy/.bashrc && rvm ...
2
votes
1answer
448 views

rvm problems syntax error near unexpected token `fi'

Whenever I cd or use rvm commands this shows up: -bash: /usr/local/rvm/scripts/initialize: line 80: syntax error near unexpected token `fi' -bash: /usr/local/rvm/scripts/initialize: line 80: ` ...
1
vote
2answers
34 views

Find script with early cutting branches on first occurences

It must exists, my problem is how to express my need. When I search for a given filename, Iwant the search stop searching the current branch when it finds a first occurence, BUT continue to search in ...
1
vote
1answer
145 views

Problems installing rails on Ubuntu 12.04. Rails gems library is empty

I got some problem installing rails on Ubuntu 12.04. I have rails working on my Ubuntu for a little time. But for some reason I uninstall rails. When I decided to install it again with sudo gem ...
0
votes
3answers
691 views

All terminal commands (like ls, cd, edit, open) are returning errors on my Mac [duplicate]

Possible Duplicate: How do I reset the $PATH variable on Mac OS X? From what I can tell from reading other questions/answers is that my .bash_profile file may be corrupt. If I type ...
0
votes
1answer
96 views

Cannot find Ruby on Rails installed

I've managed to install Ruby and the gems install (rvm?) but now I'm stuck actually installing Ruby on Rails. Every time I execute, gem install rails Terminal says that it's fetching each file and ...
0
votes
2answers
399 views

launchctl - use rvm instead of system Ruby in executed scripts?

I have a launchctl job I define as such: <key>ProgramArguments</key> <array> <string>/bin/sh</string> <string>-c</string> ...
1
vote
1answer
638 views

-bash Mac OS X Lion “puts” returns “command not found”

I'm trying to follow along with this tutorial and the puts command returns command not found and I am not sure why. I've followed this article and looked in the various folders and do not see a puts ...
9
votes
4answers
4k views

Services that just return your public IP as text [closed]

I'm writing a script that does dynamic DNS updates for me, but my server is behind a router, and so I need to use a web service to determine my public IP. So far I've found this one which returns ...
1
vote
0answers
181 views

Redmine using fastcgi [closed]

I am a Software Engineer tasked with installing Redmine on our server. Currently it's running using WebRick from /usr/share/redmine but I would like to: have it run in /srv/redmine (chroot if ...
0
votes
1answer
548 views

Java Runtime Environment on OpenSuse 12.1 - which one to choose?

I'm running OpenSUSE 12.1 and want to use Java Runtime enviroment v. 1.6. They ask for an ssh-key. Which package should I take: the proprietary or the open source one? How would you install it? Via ...
10
votes
5answers
18k views

When to use Bash and when to use Perl/Python/Ruby?

We are doing all our scripting with Bash so far, but I'm starting to feel a bit silly about it. While we can of course do everything we want with Bash (it's quite powerful), I'm starting to wonder if ...
0
votes
1answer
565 views

“Permission denied” when trying to use RVM with Cron

I am trying to employ the method descibed here. My crontab: # m h dom mon dow command @reboot /home/qe2user/.rvm/environments/ruby-1.9.3-p125 /home/qe2user/Ruby/test/prog.rb > ...
1
vote
1answer
4k views

How to run bash script from windows using plink on linux

I'm trying to run a simple bat file from windows that will run a bash script on linux machine. The bash script is located on the linux machine. For example: I'm trying to run this bat file from ...
0
votes
1answer
1k views

How to get Ruby, when called from a shell script, to see RVM default Ruby

my ruby prog: #echoHW.rb while 1 < 2 sleep(10) puts "hey!" end the bash(?) script that calls it: #echoHW.sh ruby -v ruby echoHW.rb "$@" & I installed rvm, trying both "single user" ...
0
votes
1answer
2k views

Using rvm within a bash script on CentOS 6.2

I'm trying to write a script that does goes through all the steps for installing and setting up a graylog2 server and web interface on CentOS 6.2. Here is the section that I'm having trouble with: ...
1
vote
1answer
1k views

libxslt is missing installing Nokogiri with RVM

It's been one month I'm trying to install the Nokogiri gem on Fedora 16 to run a friend's Rails project. I installed Ruby with RVM. Using gem install nokogiri returns libxslt is missing. please ...
0
votes
1answer
558 views

Problems installing Ruby 1.9.2 and rvm on Debian Lenny

I have currently have Ruby 1.9.1 (bad) and want to install 1.9.3 under rvm. However, rvm requirements gives a long list, most of which installed fine: install build-essential openssl libreadline6 ...
1
vote
2answers
1k views

sublime 2 rails multi line comments key command

when coding ruby in sublime text 2, are their key commands for multi line commentS? class Myclass include MyMethods def instance_method puts "hi from the instance method" ...
0
votes
1answer
681 views

Problems installing ruby 1.9.3 on Snow Leopard

I am trying to install ruby 1.9.3 (I am running xCode 4.2) with the following command: rvm install 1.9.3 --with-gcc=clang Fetching yaml-0.1.4.tar.gz to /Users/myusername/.rvm/archives Extracting ...
1
vote
1answer
1k views

Ruby Gem “mechanize” missing libxml2 on Mac OS X 10.7.2 (Lion)

I'm trying to run a Ruby script, so I installed Ruby together with Ruby gems on my Mac OS X 10.7 system. The script requires the Rubygem "mechanize" so I tried to install it by using: sudo gem ...
0
votes
2answers
339 views

How do I input Terminal commands when running a rails server?

I just started using Rails a few days ago, and I'm having trouble with terminal commands. The textbook I am reading keeps telling me to run Terminal commands while having a Rails server running. This ...
0
votes
2answers
822 views

Amazon EC2 and eventmachine encryption issues

I'm testing out an Amazon EC2 instance (Amazon Linux AMI 2011.09, EBS boot, 32-bit architecture with Amazon EC2 AMI Tools.) to see if it'll serve my purposes. I've written a small backend in Ruby ...
1
vote
3answers
9k views

Why am I getting “rvm: command not found” on Ubuntu?

I am trying to set up Siri Proxy, and I come up to the steps: rvmsudo rvm install 1.9.3 rvm use 1.9.3 --default rvmsudo gem install eventmachine CFPropertyList httparty json uuidtools But I can't ...
1
vote
2answers
198 views

How can I update Ruby and Rails on MacOS 10.6?

I just got a Macbook laptop that is running 10.6.3 AKA "Snow Leopard". I know it comes with Ruby 1.8.7 and Rails 2.3, but I was wondering what the best way is to update those to Ruby 1.9.2 and Rails ...
4
votes
2answers
4k views

Why can't I set the default Ruby version in Ubuntu?

I'm trying to set my Ruby version to be 1.9.2, but I can't change it from the system Ruby installation. What am I doing wrong? My terminal output is: $ rvm list rvm rubies => ruby-1.9.2-p180 [ ...
1
vote
0answers
104 views

How do I execute a Ruby 1.9.3 program from Windows Explorer on Windows 7?

I wrote a Ruby program that will check a *.log file for key words and phrases. The program is called "Check_Log.rb". I use Windows 7 and I'd like to be able to right click the log file in Windows ...
7
votes
5answers
3k views

How do I alias a Homebrew installed Ruby 1.9 gem binary in /usr/local/bin?

Homebrew's Ruby 1.9 ships with rubygems. Doing gem install ... installs files and binaries into some long-winded path. For example, bundler is installed at: ...
0
votes
1answer
174 views

Host OS slow to find web brick server running on linux as guest OS in VirtualBox

I am running VirtualBox 4.1.6 on Windows 7 on fairly quick machine with 12G of ram. I have a virtual machine running Ubuntu 11 on which I am doing rails development using ruby 1.9.3 and rails 3. When ...
0
votes
1answer
324 views

why doesn't “which ruby” output anything?

I'm using Debian 6. I uninstalled ruby1.8, and then I installed ruby1.9.1. If I type "which ruby" at the command line, it doesn't output anything. It seems like it doesn't recognize it.
0
votes
1answer
322 views

Process monitor service in Windows

I need something that runs in the background as a service (Windows), watches defined process and when it crosses thresholds it restarts/stop/starts the process again? (similar functionality of rubygem ...